# $Revision: 1.27 $ $Date: 2002/06/10 23:28:19 $
Summary:	NSS - Network Security Services
Summary(pl):	NSS - Network Security Services
Name:		nss
Version:	3.4.1
Release:	2
Epoch:		1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.mozilla.org/pub/security/nss/releases/NSS_3_4_1_RTM/src/%{name}-%{version}.tar.gz
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-system-zlib.patch
BuildRequires:  nspr-devel >= 4.1.2-3
BuildRequires:	zip >= 2.1
BuildConflicts:	mozilla < 0.9.6-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libnss3

%description
NSS supports cross-platform development of security-enabled server
applications. Applications built with NSS can support PKCS #5, PKCS
#7, PKCS #11, PKCS #12, S/MIME, TLS, SSL v2 and v3, X.509 v3
certificates, and other security standards.

%description -l pl
NSS wspomaga pisanie wieloplatformowych bezpiecznych serwerw.
Aplikacja uywajca NSS jest w stanie obsuy PKCS #5, PKCS #7, PKCS
#11, PKCS #12, S/MIME, TLS, SSL v2 oraz v3, certyfikaty X.509 v3, i
wiele innych bezpiecznych standardw.

%package tools
Summary:	NSS command line tools and utilities
Summary(pl):	Narzdzia NSS
Group:		Applications
Requires:	%{name} = %{version}

%description tools
The NSS Toolkit command line tool.

%description tools -l pl
Narzdzia NSS obsugiwane z linii polece.

%package devel
Summary:	NSS - header files
Summary(pl):	NSS - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libnss3-devel

%description devel
Development part of NSS library.

%description devel -l pl
Cz biblioteki NSS przeznaczona dla programistw.

%package static
Summary:	NSS - static library
Summary(pl):	NSS - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static NSS Toolkit libraries.

%description static -l pl
Statyczne wersje bibliotek z NSS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cd mozilla/security/nss

%{__make} build_coreconf \
	NSDISTMODE=copy \
	NS_USE_GCC=1 \
	MOZILLA_CLIENT=1 \
	NO_MDUPDATE=1 \
	USE_PTHREADS=1 \
	BUILD_OPT=1 \
	OPTIMIZER="%{rpmcflags}"

%{__make} build_dbm \
	NSDISTMODE=copy \
	NS_USE_GCC=1 \
	MOZILLA_CLIENT=1 \
	NO_MDUPDATE=1 \
	USE_PTHREADS=1 \
	BUILD_OPT=1 \
	OPTIMIZER="%{rpmcflags}" \
	PLATFORM="pld"

%{__make} all \
	NSDISTMODE=copy \
	NS_USE_GCC=1 \
	MOZILLA_CLIENT=1 \
	NO_MDUPDATE=1 \
	USE_PTHREADS=1 \
	BUILD_OPT=1 \
	OPTIMIZER="%{rpmcflags}" \
	PLATFORM="pld"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir}/nss,%{_libdir}}

install mozilla/dist/private/security/*	$RPM_BUILD_ROOT%{_includedir}/nss
install mozilla/dist/public/dbm/*	$RPM_BUILD_ROOT%{_includedir}/nss
install mozilla/dist/public/seccmd/*	$RPM_BUILD_ROOT%{_includedir}/nss
install mozilla/dist/public/security/*	$RPM_BUILD_ROOT%{_includedir}/nss
install mozilla/dist/pld/bin/*		$RPM_BUILD_ROOT%{_bindir}
install mozilla/dist/pld/lib/*		$RPM_BUILD_ROOT%{_libdir}

# resolve conflict with squid
mv -f $RPM_BUILD_ROOT%{_bindir}/{,nss-}client

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/nss
%{_libdir}/libcrmf.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib[^c]*.a
%{_libdir}/libc[^r]*.a
%{_libdir}/libcr[^m]*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nss.spec,v $
Revision 1.27  2002/06/10 23:28:19  kloczek
- release 2 (close http://bugs.pld.org.pl/?bug=237).

Revision 1.26  2002/05/23 09:38:12  wrobell
- epoch 1

Revision 1.25  2002/05/20 22:01:51  qboosh
- updated to 3.4.1
- removed dbm patch (not needed - dbm sources are in nss again)
- client renamed to nss-client (conflict with squid)

Revision 1.24  2002/04/16 15:53:40  wrobell
- fixed build requirements

Revision 1.23  2002/04/15 00:30:18  kloczek
- release 1.

Revision 1.22  2002/04/13 21:57:46  qboosh
- moved libcrmf.a to devel (static-only library)
- release 0.2

Revision 1.21  2002/04/13 16:30:14  qboosh
- link libswft.so with static libsoftokn3 as originally

Revision 1.20  2002/04/11 22:42:23  qboosh
- dbm patch (from nss 3.3.1): at least dbm headers are needed
- system-zlib patch: never use included copy of zlib
- more updates in Makefile patch (builds now)

Revision 1.19  2002/04/11 19:43:58  qboosh
- typo

Revision 1.18  2002/04/11 17:48:44  qboosh
- fixed descriptions

Revision 1.17  2002/04/10 14:27:46  wrobell
- start update for nss 3.4.rc1 (mozilla 0.9.9)

Revision 1.16  2002/02/23 04:05:42  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/19 12:15:20  kloczek
- release 4.

Revision 1.13  2002/02/18 21:24:51  gotar
- %desc

Revision 1.12  2002/01/26 06:52:03  kloczek
- release 3: libnss3{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.11  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/10 19:43:01  kloczek
- relase 2: cosmetics.

Revision 1.9  2001/12/17 17:54:13  michuz
- buildconflicts mozilla < 0.9.6-3

Revision 1.8  2001/12/16 12:38:52  saq
- _now_ it's adapterized

Revision 1.7  2001/12/16 12:33:13  saq
- adapterized
- Makefile.patch updated to avoid a buildconflict with gdbm-devel

Revision 1.6  2001/12/14 11:06:23  tiwek
- Added zip to BuildReq...

Revision 1.5  2001/12/13 23:52:21  michuz
- fixed Group

Revision 1.4  2001/12/13 23:51:00  michuz
- added BuildConflicts: mozilla

Revision 1.3  2001/12/13 23:43:01  michuz
- removed Conflicts

Revision 1.2  2001/12/13 16:29:18  michuz
- added Conflicts: mozilla (because this lib shouldn't link with mozilla)
- fix %%install

Revision 1.1  2001/12/13 15:59:26  michuz
- initial release
